package cn.newfeifan.mall.module.distri.controller.admin.consumptionerroruser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 消费分异动用户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ConsumptionErrorUserRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "25118")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "异动日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "10657")
    @ExcelProperty("异动日志编号")
    private Long consumptionErrorLogId;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "25907")
    @ExcelProperty("用户编号")
    private Long userId;

    @Schema(description = "用户名", example = "张三")
    @ExcelProperty("用户名")
    private String userName;

    @Schema(description = "累加消费分总额")
    @ExcelProperty("累加消费分总额")
    private Long consumptionPointsTotal;

    @Schema(description = "目前消费分总额")
    @ExcelProperty("目前消费分总额")
    private Long nowConsumptionPointsTotal;

    @Schema(description = "可用消费分")
    @ExcelProperty("可用消费分")
    private Long currentConsumptionPointsTotal;

    @Schema(description = "已用消费分")
    @ExcelProperty("已用消费分")
    private Long usedConsumptionPointsTotal;

    @Schema(description = "已转让消费分")
    @ExcelProperty("已转让消费分")
    private Long transferConsumptionPointsTotal;

    @Schema(description = "异动消费分差额")
    @ExcelProperty("异动消费分差额")
    private Long errorConsumptionPointsTotal;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}