package cn.newfeifan.mall.module.distri.dal.dataobject.shopsettlement;

import lombok.*;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单结算信息表，记录店铺的结算信息 DO
 *
 * @author 非繁人
 */
@TableName("trade_shop_settlement")
@KeySequence("trade_shop_settlement_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShopSettlementDO extends BaseDO {

    /**
     * 结算id
     */
    @TableId
    private Long id;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 销售额（积分 + 消费分 + 支付金额）
     */
    private Integer platformCollectionAmount;
    /**
     * 抵扣积分
     */
    private Long shopAmount;
    /**
     * 共计成本价格(高精度 + 成本)
     */
    private BigDecimal shopTotalHighAmount;
    /**
     * 平台结算ID
     */
    private Long ptSettlementId;
    /**
     * 转账凭证附件
     */
    private String attachment;
    /**
     * 账户名称
     */
    private String accountName;
    /**
     * 账户号码
     */
    private String accountNumber;

    /**
     * 抵扣消费分
     */
    private Long shopConsumptionPoints;

}