package cn.newfeifan.mall.module.distri.service.consumptionerroruser;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.consumptionerroruser.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.consumptionerroruser.ConsumptionErrorUserDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 消费分异动用户 Service 接口
 *
 * @author 非繁人
 */
public interface ConsumptionErrorUserService {

    /**
     * 创建消费分异动用户
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionErrorUser(@Valid ConsumptionErrorUserSaveReqVO createReqVO);

    /**
     * 更新消费分异动用户
     *
     * @param updateReqVO 更新信息
     */
    void updateConsumptionErrorUser(@Valid ConsumptionErrorUserSaveReqVO updateReqVO);

    /**
     * 删除消费分异动用户
     *
     * @param id 编号
     */
    void deleteConsumptionErrorUser(Long id);

    /**
     * 获得消费分异动用户
     *
     * @param id 编号
     * @return 消费分异动用户
     */
    ConsumptionErrorUserDO getConsumptionErrorUser(Long id);

    /**
     * 获得消费分异动用户分页
     *
     * @param pageReqVO 分页查询
     * @return 消费分异动用户分页
     */
    PageResult<ConsumptionErrorUserDO> getConsumptionErrorUserPage(ConsumptionErrorUserPageReqVO pageReqVO);

}