package cn.newfeifan.mall.module.product.controller.admin.spuapplylog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 商品审核记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SpuApplyLogPageReqVO extends PageParam {

    @Schema(description = "申请状态  0:申请中 1:通过 2:未通过", example = "1")
    private Integer status;

    @Schema(description = "商品申请id", example = "1516")
    private Long productSpuApplyId;

    @Schema(description = "审核系统用户id", example = "28003")
    private Long checkSystemUserId;

    @Schema(description = "审核意见")
    private String checkComment;

    @Schema(description = "修改的json对象")
    private String changeJsonObject;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}