package cn.newfeifan.mall.module.product.dal.dataobject.spuapplylog;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 商品审核记录 DO
 *
 * @author 非繁人
 */
@TableName("product_spu_apply_log")
@KeySequence("product_spu_apply_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpuApplyLogDO extends BaseDO {

    /**
     * spu审核记录id
     */
    @TableId
    private Long id;
    /**
     * 申请状态  0:申请中 1:通过 2:未通过
     */
    private Integer status;
    /**
     * 商品申请id
     */
    private Long productSpuApplyId;
    /**
     * 审核系统用户id
     */
    private Long checkSystemUserId;
    /**
     * 审核意见
     */
    private String checkComment;
    /**
     * 修改的json对象
     */
    private String changeJsonObject;

}