package cn.newfeifan.mall.module.product.service.skuapply;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.product.controller.admin.skuapply.vo.*;
import cn.newfeifan.mall.module.product.dal.dataobject.skuapply.SkuApplyDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 商品sku申请 Service 接口
 *
 * @author 非繁人
 */
public interface SkuApplyService {

    /**
     * 创建商品sku申请
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSkuApply(@Valid SkuApplySaveReqVO createReqVO);

    /**
     * 更新商品sku申请
     *
     * @param updateReqVO 更新信息
     */
    void updateSkuApply(@Valid SkuApplySaveReqVO updateReqVO);

    /**
     * 删除商品sku申请
     *
     * @param id 编号
     */
    void deleteSkuApply(Long id);

    /**
     * 获得商品sku申请
     *
     * @param id 编号
     * @return 商品sku申请
     */
    SkuApplyDO getSkuApply(Long id);

    /**
     * 获得商品sku申请分页
     *
     * @param pageReqVO 分页查询
     * @return 商品sku申请分页
     */
    PageResult<SkuApplyDO> getSkuApplyPage(SkuApplyPageReqVO pageReqVO);

    /**
     * 获得商品 SKU 申请 集合
     *
     * @param spuApplyId spu 申请 编号
     * @return 商品sku 申请 集合
     */
    List<SkuApplyDO> getSkuListBySpuId(Long spuApplyId);
}